Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.java.io
Class RandomAccessNotSupportedException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.io.IOException
                        |
                        +--com.novell.java.io.RandomAccessNotSupportedException

public class RandomAccessNotSupportedException
extends java.io.IOException

Signals that random access is not available.

The DataAccessable interface provides support for Input/Output streams and random access to the data of the DataAccessable object. Some devices do not support random access but might support the input or output stream. This exception is thrown if a random access open is attempted to a device that is not supported.

See Also:
  `RandomAccess`

Constructor Summary
`RandomAccessNotSupportedException()` Constructs a RandomAccessNotSupportedException object with no detail message.
`RandomAccessNotSupportedException(java.lang.String s)` Constructs a RandomAccessNotSupportedException object with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RandomAccessNotSupportedException

    public RandomAccessNotSupportedException()

  Constructs a RandomAccessNotSupportedException object with no detail message.

### RandomAccessNotSupportedException

    public RandomAccessNotSupportedException(java.lang.String s)

  Constructs a RandomAccessNotSupportedException object with the specified detail message.
  Parameters:
    `s` - The detail message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD